## org.apache.mahout.common.iterator.sequencefile
Class SequenceFileValueIterable<V extends org.apache.hadoop.io.Writable>

    java.lang.Object
      org.apache.mahout.common.iterator.sequencefile.SequenceFileValueIterable<V>

All Implemented Interfaces:
  Iterable<V>

    public final class SequenceFileValueIterable<V extends org.apache.hadoop.io.Writable>

extends Object
implements Iterable<V>

`Iterable` counterpart to `SequenceFileValueIterator`.

Constructor Summary
`SequenceFileValueIterable(org.apache.hadoop.fs.Path path, boolean reuseKeyValueInstances, org.apache.hadoop.conf.Configuration conf)`
`SequenceFileValueIterable(org.apache.hadoop.fs.Path path, org.apache.hadoop.conf.Configuration conf)` Like `SequenceFileValueIterable(Path, boolean, Configuration)` but instances are not reused by default.

Method Summary
`Iterator<V>` `iterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceFileValueIterable

    public SequenceFileValueIterable(org.apache.hadoop.fs.Path path,
                                     org.apache.hadoop.conf.Configuration conf)

  Like `SequenceFileValueIterable(Path, boolean, Configuration)` but instances are not reused by default.

  Parameters:
    `path` - file to iterate over

### SequenceFileValueIterable

    public SequenceFileValueIterable(org.apache.hadoop.fs.Path path,
                                     boolean reuseKeyValueInstances,
                                     org.apache.hadoop.conf.Configuration conf)

Parameters:
  `path` - file to iterate over
  `reuseKeyValueInstances` - if true, reuses instances of the value object instead of creating a new one for each read from the file

Method Detail

### iterator

    public Iterator<V> iterator()

  Specified by:
    `iterator` in interface `Iterable<V extends org.apache.hadoop.io.Writable>`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.